package org.foxarmy.chatProxy

import org.bukkit.plugin.java.JavaPlugin

class ChatProxy : JavaPlugin() {

    override fun onEnable() {
        saveDefaultConfig()
        reloadConfig()
        val kafkaClient = KafkaClient(this, config.getStringList("kafkaBrokers"))
        server.pluginManager.registerEvents(ChatListener(kafkaClient), this)

        this.getCommand("chatproxy")?.setExecutor(Commands(this))



    }

    override fun onDisable() {
        // Plugin shutdown logic
    }
}
